curl --request GET \
--url https://external-api.kalshi.com/trade-api/v2/portfolio/balance \
--header 'KALSHI-ACCESS-KEY: <api-key>' \
--header 'KALSHI-ACCESS-SIGNATURE: <api-key>' \
--header 'KALSHI-ACCESS-TIMESTAMP: <api-key>'import requests
url = "https://external-api.kalshi.com/trade-api/v2/portfolio/balance"
headers = {
"KALSHI-ACCESS-KEY": "<api-key>",
"KALSHI-ACCESS-SIGNATURE": "<api-key>",
"KALSHI-ACCESS-TIMESTAMP": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'KALSHI-ACCESS-KEY': '<api-key>',
'KALSHI-ACCESS-SIGNATURE': '<api-key>',
'KALSHI-ACCESS-TIMESTAMP': '<api-key>'
}
};
fetch('https://external-api.kalshi.com/trade-api/v2/portfolio/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balance": 123,
"balance_dollars": "0.5600",
"portfolio_value": 123,
"updated_ts": 123,
"balance_breakdown": [
{
"exchange_index": 0,
"balance": "0.5600"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}Get Balance
Returns the balance and portfolio value for a member. Both values include all exchange indexes unless exchange_index is provided. Pass subaccount to use a subaccount instead of the primary account. This endpoint also accepts API keys with the ‘read::portfolio_balance’ scope.
Authorizations
Your API key ID
RSA-PSS signature of the request
Request timestamp in milliseconds
Query Parameters
Subaccount number (0 for primary, 1-63 for subaccounts). Defaults to 0.
Exchange index used to scope the balance and portfolio value. If omitted, both include all exchange indexes. Identifier for an exchange shard.
0
Response
Balance retrieved successfully
Member's available balance in cents for the requested account and exchange index. It includes all exchange indexes when exchange_index is omitted.
Member's available balance as a fixed-point dollar string for the requested account and exchange index. It includes all exchange indexes when exchange_index is omitted.
"0.5600"
Member's portfolio value in cents for the requested account and exchange index. It includes all exchange indexes when exchange_index is omitted.
Unix timestamp of the last update to the balance.
User balance breakdown per exchange instance, omitted only when using a subaccount-restricted API key.
Show child attributes
Show child attributes